File: links-usage-start.html, Node: Starting Links, Next: Keystrokes, Prev: Using Links, Up: Using Links

# 1.1 Starting Links

# [Version 0.82]

### Page Contents

- 1.1.1 Starting Links for the first time
- 1.1.2 Starting Links from the command line
- 1.1.3 Window manager menu entry
- 1.1.4 Bash script
- 1.1.5 Bash alias
- 1.1.6 A Note on Command Line Options

### 1.1.1 Starting Links for the first time

When you run Links for the first time, the program will create a configuration file in "~/.links/.links.cfg" and you will receive a very short welcome message. If no target file was specified or found, the first screen you will see is blank. Links is not dead, just sleeping; press the <ESC> key and the Links menu will popup.

### 1.1.2 Starting Links from the command line

Where is Links? If you installed the Linux binary ("links-0.82"), you would have copied it to somewhere in your PATH (echo $PATH) and renamed the file to "links". If you compiled the source, the default full path is '/usr/local/bin/links'.

If you running Links for the first time in a xterm or rxvt with the default set to anything other than a dark background and light text, use the following command:

cd; xterm -fg white -bg black - e links (optional filename or url)

In a console environment, or xterms set with a dark background, invoke Links with:

links (optional filename or url)

### 1.1.3 Window manager menu entry

Setting up a menu entry for your X-windows window manager should not be too difficult, and a breeze if you have done it before.

In fvwm2(1) on a Debian GNU/Linux box, the following entry (in "$HOME/.fvwm2/menudefs.hook") adds a Links menu entry to the "Apps / Net" menu subtree:

          AddToMenu "/Debian/Apps/Net"
          + "Links" Exec xterm -T "Links. The WWW Text Browser" -geometry 100x45 -e links ~/Bookmarks/links_bookmarks.html

This means that when clicking on the menu entry "Links", a new xterm (sized 100x45 characters) will be invoked with the window title "Links. The WWW Text Browser" and Links will be started with the local file "~/Bookmarks/links_bookmarks.html" loaded.

See your own window manager's documentation on how to setup menu entries.

### 1.1.4 Bash script

If you want to start Links with a predefined file or url, a Bash(1) script can do the job for you. There is one provided in the appendix [A.3]. Using this script will mean no more blank screen startups, but keeping the option of starting with another URL or filename.

Please make sure that you edit the variables at the top of the script, as well as the $TERM variables toward the bottom. Simply copy the script to somewhere in your path, rename it to something more appropriate, and run it either with or without a file or URL argument; for example:

links OR links linuxtoday.com OR links http://www.debian.org

### 1.1.5 Bash alias

Setting up a Bash(1) alias in "$HOME/bash_profile" is a simple way to start Links with a predefined home page.

alias links="xterm -e /usr/local/bin/links $HOME/Bookmarks/links_bookmarks.html"

### 1.1.6 A Note on Command Line Options

There are several command line options available in Links, which are invoked like

<path>links -<OPTIONS> [filename|URL]

As all the command line options can be changed during runtime using the menu system, or in the "links.cfg" file, a detailed discussion of these parameters is in "Configuring Links" [2.1].

For convenience, here is a list of command line options that work in version 0.82, along with their default values.

-async-dns 1 (i.e. true; false = 0)
-max-connections 10
-max-connections-to-host 2
-retries 3
-receive-timeout 120 (seconds)
-unrestartable-receive-timeout 600 (seconds)
-format-cache-size 5 (number of documents)
-memory-cache-size 1024KB (KB)
-http-proxy (no default, e.g. www-cache.isp.net:8080)
-ftp-proxy (no default, e.g. ftp-cache.isp.net:8080)
-download-dir (default=user's home directory)
-assume-codepage us-ascii

User Reference Manual for Links Version 0.82 | Revision Date: 2000-02-16

Copyright (C) 2000 Cliff Cunnington, <cliff@ccnet.demon.nl>

Verbatim copying and distribution of this entire article is permitted in any medium, provided this notice is preserved.